Home

# Class goog.storage.mechanism.PrefixedMechanism

Wraps an iterable storage mechanism and creates artificial namespaces.

extends goog.storage.mechanism.IterableMechanism

Instance Method Summary
| `__iterator__(boolean= opt_keys) ⇒ !goog.iter.Iterator` Returns an iterator that iterates over the elements in the storage. Will throw goog.iter.StopIteration after the last element.
| `get(string key) ⇒ ?string` Get the value stored under a key.
| `remove(string key)` Remove a key and its value.
| `set(string key, string value)` Set a value for a key.